NOTE_PROVIDER_PROMPT = """这是人设账号中中的第{index}个帖子
标题：{title}
正文: {body_text}
还有如下图片
"""

PROMPT = """以上就是账号：`{account_name}` 的所有帖子

### 请基于此账号，总结其历史的图片生成信息：
- 图片表现力怎么呈现出来的？
    - 真实性
    - 艺术性与美学：构图、光影效果、色彩搭配和和谐、风格一致性、氛围与情绪
    - 技术质量与细节：分辨率与清晰度、细节的合理性与丰富性、
- 是否历史所有帖子中或者在同一个帖子中，存在一致性的主体
- 等等其他有用的生成信息

### 要求
- 总结的信息请围绕：指导基于这个账号的历史图片生成风格来进行新的内容生成
    - 新的生成方式主要是基于AI的图片生成工具  
- 请重点关注图片生成上，避免对图片内容进行总结、描述

"""



SCRIPT_COMPREHENSION_PROMPT = """
### 请深度对脚本进行分析：
    核心元素： 主体 (人、物、怪兽)、场景 (地点、环境)、动作、情绪/氛围。
    视觉风格： 脚本是否暗示了某种特定风格？（如科幻、奇幻、写实、卡通、水墨等）。
    关键细节： 有哪些不可或缺的细节必须在图片中体现？
    构图与视角： 脚本是否暗示了特定的镜头感？（远景、近景、特写、俯视、仰视）。
  
### 分析要求
- 忽略脚本中的材料相关信息
- 输出客观信息  
    
### 脚本
{script}
"""



MATERIAL_EXTRACT_PROMPT = """
### 请对以下脚本中的图片材料进行提取
- 提取材料名、材料类型、材料描述，统一在 `材料信息` 中
- 提取材料的url
- 请按照以下模式以纯JSON格式输出答案。JSON对象必须是可解析的。不要输出JSON以外的任何内容，也不要偏离这个模式，确保输出的是JSON Object not Array：
{{
    "材料": [
        {{
            "材料信息":"str类型，包括 材料名、材料类型、材料描述"
            "材料图片": "str"  
        }},
        {{
            "材料信息":"str类型，包括 材料名、材料类型、材料描述"
            "材料图片": "str"  
        }},
        ...
    ]
}}


### 待提取的脚本
{script}


"""




"""
分析图片材料：
    材料类型： 是角色设定图、场景参考图、氛围图、还是特定道具的图片？
    用途定位：
        主体一致性参考：脚本中需要保持一致性的材料图片。
        风格参考： 如果材料图片具有你期望的整体艺术风格或色调。
        构图参考： 如果材料图片的构图是你想要的。
        元素参考： 如果材料图片包含特定的角色、服装、道具或场景元素，你希望在生成图片中复现或借鉴。
        氛围参考： 材料图片的色彩、光影是否能表达脚本所需的氛围？
"""
MATERIAL_COMPREHENSION_PROMPT = """

"""