import os
import json
from aiddit.model.chat import claude, claude35, deepseek_chat


def prompt_create_script(renshe_xuanti_unique, xuanti_mode, xuanti_result):
    prompt = f"""
 你是一个小红书内容创作专家，拥有以下能力：
- 根据人设信息、内容选题、内容创作脚本，能够利用丰富的创作经验创作出符合人设的内容脚本； 
 
现在有以下信息：
 
人设信息：
{json.dumps(renshe_xuanti_unique, ensure_ascii=False, indent=4)}

创作内容选题：
{xuanti_result.get("最终的选题")}

创作内容选题的详细描述信息:
{xuanti_result.get("选题的详细描述信息")}   

创作内容选题中的关键信息：
{json.dumps(xuanti_result.get("选题依赖的关键信息"), ensure_ascii=False, indent=4)}

人设的创作脚本模式：
{json.dumps(next(iter(xuanti_mode.get("script", {}).get("modes", [])), None), ensure_ascii=False, indent=4)}

请根据以上信息，完成以下任务：
- 生成一个完整的小红书内容创作脚本；

要求：
- 请确保脚本内容符合人设信息，选题信息，选题详细描述信息；
- 请深刻理解人设的创作脚本模式，确保生成的标题、正文、图片符合创作脚本模式；
    - 如果图片之间是有连续性的，请确保图片之间有连续性、一致性；
    - 确保正文、图片、标题之间的逻辑关系且能够相对应；
        - 比如：标题或者正文中提到了5张图片，请确保封面+图集也有5张图片；
    - 图片整体包含了封面和图集；图集是不包括封面的；
    - 确保生成的图片是符合人设信息的，图片应该在侧重如何表达、突出 创作内容的选题 & 人设的创作风格；这一点非常重要！
- 完整的创作脚本包括以下部分：
    - 标题(str)
        - 标题结果(str)
        - 生成过程(dict)
    - 正文内容(str)A
        - 正文内容结果(str)
        - 生成过程(dict)
    - 图片(dict)
        - 图片通用信息(dict)
        - 封面图 (dict)
            - 图片描述(str)
            - 图片细节(dict)
            - 用于图片生成的prompt(str)
            - 封面图选取逻辑(str)
            - 生成过程(dict)
            - 其他重要信息(dict | None)
        - 图集(List[dict]) , each dict with keys:
            - 图片序号(int)
            - 图片描述(str)
            - 图片细节(dict)
            - 用于图片生成的prompt(str)
            - 生成过程(dict)
            - 其他重要信息(dict | None)
- 以上创作脚本中的字段的含义解释如下：
    - 生成过程(dict)：说明你是如何根据`人设的创作脚本模式`怎么创作出来这个结果的？结合你创作中的思考、逻辑、依据、思路等能够反映你的创作过程；
    - 图片通用信息(dict)：指的是在图片的创作过程中，所有需要统一、不变的信息，比如女性的容貌、物品的样式、图片的风格等等所有一切细节；
    - 图片描述(str)：用于描述图片的内容，尽可能详细，能够完整的还原图片的内容；每一张图片都是一个独立的镜头，需要描述清楚；而不是连续性的承接式的描述；
    - 图片细节(dict)：用于描述图片的细节，包括图片的元素、构图、色彩、风格、背景、人物、服饰等等所有信息，尽可能详细，能够完整的还原图片的细节；
    - 用于图片生成的prompt(str)：结合`图片通用信息`、`图片描述`和`图片细节`，产生用于`图片生成模型`创作图片的prompt，尽可能详细，能够完整的还原图片的内容；
- 要求用词精准，不要使用模糊、不确定的词语；   
- 你的创作不要浮于表面，要求详细具体，应该从内容创作的角度去深度结合账号的人设、选题；
- 创作必须符合自己人设：比如创作的内容要符合自己人设的创意、风格、主题等；而不是随意创作忽略了人设；
    - 你的重点不是为了完成任务，而是为了创作出符合人设的内容；
    - 比如重点突出人设中的反差行为、搞怪行为、幽默行为等等；
- 请直接输出以上JSON格式，不要有除了JSON格式之外的其他输出；
""".strip()

    print(prompt)
    ans = claude35(prompt)
    return ans


def prompt_create_script_0214(renshe_xuanti_unique, renshe_script, xuanti_result):
    prompt = f"""
 你是一个小红书内容创作专家，拥有以下能力：
- 根据人设信息、内容选题、内容创作脚本，能够利用丰富的创作经验创作出符合人设的内容脚本； 
 
现在有以下信息：
 
人设信息：
{json.dumps(renshe_xuanti_unique, ensure_ascii=False, indent=4)}

创作内容选题：
{xuanti_result.get("最终的选题")}

创作内容选题的详细描述信息:
{xuanti_result.get("选题的详细描述信息")}   

创作内容选题中的关键信息：
{json.dumps(xuanti_result.get("选题依赖的关键信息"), ensure_ascii=False, indent=4)}

人设的创作脚本模式：
{json.dumps(renshe_script, ensure_ascii=False, indent=4)}

请根据以上信息，完成以下任务：
- 生成一个完整的小红书内容创作脚本；

要求：
- 请确保脚本内容符合人设信息，选题信息，选题详细描述信息；
- 请深刻理解人设的创作脚本模式，确保生成的标题、正文、图片符合创作脚本模式；
    - 每个模块（标题、正文、封面、图集）中的创作模式请选择一个或者多个进行创作；
    - 请注意每个模块的创作模式之间的逻辑关系；
    - 请根据实际的生成过程，确定每个模块的创作过程；
    - 如果图片之间是有连续性的，请确保图片之间有连续性、一致性；
    - 确保正文、图片、标题之间的逻辑关系且能够相对应；
        - 比如：标题或者正文中提到了5张图片，请确保封面+图集的数量也应该是5张图片；图片数量 = 封面 + 图集数量！
    - 图片整体包含了封面和图集；图集是不包括封面的；
    - 确保生成的图片是符合人设信息的，图片应该在侧重如何表达、突出 创作内容的选题 & 人设的创作风格；这一点非常重要！    
- 你需要根据实际情况去觉得是先生成图片，再去生成正文，还是先生成正文，再生成图片；    
- 请注意封面和图集作为图片的整体性；
- 图片描述应该详实具体，而不是简单的概括，需要描述清楚每一张图片的内容；

- 完整的创作脚本包括以下部分：
- 生成顺序(list[str])：生成的顺序是什么？比如先生成图片，再生成正文等等；
- 标题(str)
    - 标题结果(str)
    - 生成过程(dict)
- 正文内容(str)
    - 正文内容结果(str)
    - 生成过程(dict)
- 图片(dict)
    - 图片通用信息(dict)
    - 封面图(dict)
        - 生成过程(dict)
        - 图片描述(str)
        - 图片生成方式(Enum[独立生成,图集选取])：根据脚本模式中的封面生成模式，确定封面是独立生成，还是从图集中选取；请从封面的表现力出发去决策
        - 独立生成(dict|None):
            - 图片描述(str)
            - 图片细节(dict)
            - 加工流程(dict|None): 如果图片需要二次加工：比如加文字等等；
        - 图集选取(dict|None):
            - 依赖的图片序号(List[int])：依赖的图集中的图片序号，从图集中选取后作为封面图；
            - 加工方式(Enum[原图,加工])：封面图是否需要加工；
            - 加工流程(dict|None): 如果封面图需要二次加工：比如多图拼接、加文字等等；
    - 图集:
        - 生成过程(dict)
        - 图片(List[dict]) , each dict with keys:
            - 图片序号(int)
            - 图片描述(str)
            - 图片细节(dict)
            - 生成过程(dict)
            - 其他重要信息(dict | None)
- 以上创作脚本中的字段的含义解释如下：
    - 生成过程(dict)：说明你是如何根据`人设的创作脚本模式`怎么创作出来这个结果的？结合你创作中的思考、逻辑、依据、思路等能够反映你的创作过程；
    - 图片通用信息(dict)：指的是在图片的创作过程中，所有需要统一、不变的信息，比如女性的容貌、物品的样式、图片的风格等等所有一切细节；
    - 图片描述(str)：用于描述图片的内容，尽可能详细，能够完整的还原图片的内容；每一张图片都是一个独立的镜头，需要描述清楚；而不是连续性的承接式的描述；
    - 图片细节(dict)：用于描述图片的细节，包括图片的元素、构图、色彩、风格、背景、人物、服饰等等所有信息，尽可能详细，能够完整的还原图片的细节；
- 要求用词精准，不要使用模糊、不确定的词语；   
- 请确保最后的生成结果符合逻辑，比如正文中提到了是5张图片，那么封面+图集也应该是5张图片；
- 你的创作不要浮于表面，要求详细具体，应该从内容创作的角度去深度结合账号的人设、选题；
- 创作必须符合自己人设：比如创作的内容要符合自己人设的创意、风格、主题等；而不是随意创作忽略了人设；
    - 你的重点不是为了完成任务，而是为了创作出符合人设的内容；
    - 比如重点突出人设中的反差行为、搞怪行为、幽默行为等等；
- 请直接输出以上JSON格式，不要有除了JSON格式之外的其他输出；
""".strip()

    print(prompt)
    # reason, ans = dsr3.deepseek_r3_stream(prompt)
    ans = claude(prompt)
    return ans
