import json
import aiddit.model.chat as chat
import aiddit.model.dsr3 as dsr3


def reference_note_keypoint(reference_note):
    prompt = f"""
我会给出视频和以下视频相关信息；
视频的标题如下：
'''
{reference_note.get('title', '')}
'''    

以上就是我提供的全部内容。
请你从内容创作的角度，根据我给出的视频内容，先判断内容主要驱动力是什么（驱动力枚举值：视觉、音频、脚本剧情）然后根据内容主要驱动力按照以下步骤找到内容的所有`亮点`，每一个`亮点`应该遵循以下步骤得出：
1. 找到`内容亮点的角度`：
     - 首先`内容亮点的角度`需要结合内容整体的主题；与主题无关紧要的可以忽略；
     - `内容亮点的角度`指的是你认为这个内容最吸引人的地方：可能是内容的创意、内容的视觉表达、内容的反差、内容的玩梗等等；
     - 严格去挑选，平庸且常见的不应该成为内容的亮点，你需要找到内容中最具最最有吸引力或者最有代表性的地方；
2. 从`内容亮点的角度`出发发现内容的创作'亮点`：
     - `亮点`一定要能够反映内容中最独特、最具有吸引力的，他比如：女性的身材或颜值或动作、创意、搞怪、玩梗、视觉等等；
     - 亮点可能存在于视频中、也可能存在标题和正文的文本中，你需要结合视频内容和标题，判断真正的亮点来源；
     - 确定亮点的专业领域，用专业领域的相关词汇表达亮点；要求用词精准拿捏，专业性强、无歧义；
     - 禁止出现'氛围'、'和谐'、'视觉呈现','美学','视觉','构图'等指代无不明确的用词；
     - 请只描述客观事实，不要加入任何`主观、`评价性'语言；
     - 禁止出现总结性的描述，比如'有趣'应该替换为具体的'什么什么有趣'、'反差'应该替换为具体的'反差意义'；
3. 亮点的组成描述：
     - 请结构化的描述以上亮点的详细组成部分，比如：亮点的主体、亮点的背景、亮点的细节等等；
     - 目的是为了在二次创作的时候还原以上亮点，所以这也是AIGC基于亮点去二次创作需要充分必要的生成材料；
     - 亮点的组成描述要求用词精准拿捏，专业性强、无歧义；
4.结构性提炼出该视频的内容大纲，用整段文字表述即可
要求：
- 关注我给出的视频中的主要内容，但同时请注意视觉中每个画面与音频与画面含义之间的关联关系，请重点专注视频中视觉所要表达的含义，请在内容大纲及创作脚本中说明
- 请针对视频的内容本身输出客观、具象的回答，你的分析必须基于视频内容，不能凭空想象； 
- 信息缺失和无法分析理解的部分请你忽略，不能自行编造回答
- 请只描述客观事实，不要加入任何```主观```评价性语言；请使用专业语言进行回答。不要出现概括性描述、主观猜测，抽象表述
- 语言表达上注意不要使用倒装句、长句、复杂句，尽量使用陈述句、简单句；
- 输出为中文；
- 请只描述客观事实，不要加入任何'主观'评价性语言；
- 语言表达上注意不要使用倒装句、长句、复杂句，尽量使用陈述句、简单句；
- 你的输出格式为JSON，包含内容
    - 主要驱动力(dict)
    - 内容亮点的角度(dict)
    - 亮点(dict)
    - 亮点组成(dict)
    - 内容大纲(dict)
""".strip()

    print(prompt)
    ans = chat.gemini(prompt, images=[reference_note.get("video_url")])
    print(ans)

    return ans


def reference_note_keypoint_20250211(reference_note):
    prompt = f"""
刺激源理解prompt⬇️
我会给出视频和以下视频标题
视频标题：“{reference_note.get("title")}”

以上就是我提供的全部内容。请你从内容创作的角度，根据我给出的视频内容，先判断内容主要驱动力是什么（驱动力枚举值：视觉、音频、脚本剧情）然后根据内容主要驱动力按照以下步骤找到内容的所有亮点，每一个亮点应该遵循以下步骤得出：
找到内容亮点的角度：
首先内容亮点的角度需要结合内容整体的主题；与主题无关紧要的可以忽略；
内容亮点的角度指的是这个内容最吸引人的地方：
严格去挑选，平庸且常见的不应该成为内容的亮点，你需要找到内容中最具有吸引力或者最有代表性的地方，这些地方是这个视频能够在短视频平台获取大量流量的关键点
从内容亮点的角度出发发现内容的创作'亮点`：
亮点一定要能够反映内容中最独特、最具有吸引力的，比如：女性的身材或动作、创意搞怪、热点结合、视觉等等；
你需要结合视频所展示的内容和标题，判断真正的亮点来源；
确定亮点的专业领域，用专业领域的相关词汇表达亮点；要求用词精准拿捏，专业性强、无歧义；
禁止出现'氛围'、'和谐'、'视觉呈现','美学','视觉','构图'等指代无不明确的用词；
请只描述客观事实，不要加入任何主观、评价性'语言；
禁止出现总结性的描述，比如'有趣'应该替换为具体的'什么什么有趣'、'反差'应该替换为具体的'反差意义'；
你不应该概括性描述，应该从多个维度详细描述视频亮点，你的描述要能达到从文字复刻视频的程度，比如视频主体外观、颜色、行为、比例、构图等等多个维度的信息
亮点的组成描述：
请详细描述以上亮点的组成部分
目的是为了在二次创作的时候还原以上亮点，所以这也是AIGC基于亮点去二次创作需要充分必要的生成材料；
亮点的组成描述要求用词精准拿捏，专业性强、无歧义；
4.结构性提炼出该视频的内容大纲，用整段文字表述即可
要求：
关注我给出的视频中的主要内容，但同时请注意视觉中每个画面与音频与画面含义之间的关联关系，请重点关注视频重点所要表达的含义，请在内容大纲及创作脚本中说明
请针对视频的内容本身输出客观、具象的回答，你的分析必须基于视频内容，不能凭空想象；
信息缺失和无法分析理解的部分请你忽略，不能自行编造回答
请只描述客观事实，不要加入任何主观评价性语言；请使用专业语言进行回答。不要出现概括性描述、主观猜测，抽象表述
语言表达上注意不要使用倒装句、长句、复杂句，尽量使用陈述句、简单句；
输出为中文；清直接输出结果，不要有任何其他的解释和说明
请只描述客观事实，不要加入任何'主观'评价性语言；
语言表达上注意不要使用倒装句、长句、复杂句，尽量使用陈述句、简单句；
你的输出格式为内容主要驱动力、内容亮点的角度，内容亮点，亮点组成，内容大纲，视频剧本
""".strip()
    print(prompt)
    ans = chat.gemini(prompt, model="gemini-2.0-flash", images=[reference_note.get("video_url")], temperature=1)
    print(ans)

    return ans


def reference_note_keypoint_summary(reference_note_keypoint, reference_note):
    prompt = f"""
你是一名短视频内容创作大师，你擅长分析视频并找出视频中决定视频主线的关键点，关键点可能存在于多个方面，请你根据我给出的视频的解构信息及原始视频，从整体视频来分析，综合提炼出这个视频的重要关键点
# 请注意
- 关键点可能存在于多个方面，单整体只需要输出一个综合的关键点，这里的多方面并不是指每个方面必须有关键点，而是你认为这个方面有关键点且决定了视频的主要构成
- 请针对视频的内容本身输出客观、具象的回答，你的分析必须基于视频内容，不能凭空想象； 
- 信息缺失和无法分析理解的部分请你忽略，不能自行编造回答
- 请只描述客观事实，不要加入任何```主观```评价性语言；请使用专业语言进行回答。不要出现概括性描述、主观猜测，抽象表述
- 语言表达上注意不要使用倒装句、长句、复杂句，尽量使用陈述句、简单句；
- 输出为中文；
- 请只描述客观事实，不要加入任何'主观'评价性语言；
- 语言表达上注意不要使用倒装句、长句、复杂句，尽量使用陈述句、简单句；
# 任务
1.该视频的关键点
2.关键点描述
# 视频解构信息   

{reference_note_keypoint}
"""

    print(prompt)
    ans = chat.gemini(prompt, images=[reference_note.get("video_url")])
    print(ans)

    return ans


def create_xuanti(reference_note, reference_note_keypoint, reference_note_keypoint_summary, renshe):
    prompt = f"""
你是一名内容灵感创作大师，拥有以下能力：
1. 丰富的内容创作经验，能够根据关键点创作出高质量的内容
2. 擅长基于自己的创作风格、参考内容创作出高质量的内容

你的内容创作灵魂：
{json.dumps(renshe.get("创作灵魂"), ensure_ascii=False, indent=4)} 
你的内容创作方向：
{json.dumps(renshe.get("base_topic"), ensure_ascii=False)} 

你的创作内容品类：
{json.dumps(renshe.get("内容分类"), ensure_ascii=False)} 

你的选题必要点：
{json.dumps(renshe.get("选题必要点"), ensure_ascii=False)} 

下面是你创作中的人设要点：
创作特点如下：
{json.dumps(renshe.get("创作特点"), ensure_ascii=False)} 

选题特点如下：
{json.dumps(renshe.get("选题特点"), ensure_ascii=False)} 

选题禁忌如下：
{json.dumps(renshe.get("选题禁忌"), ensure_ascii=False)} 


你选题的创作模式如下：
{json.dumps(renshe.get("选题模式"), ensure_ascii=False, indent=4)} 


以上就是你所有的`创作人设`，
以下是你的参考内容：
标题：
{reference_note.get("title")}
视频整体信息：
{reference_note_keypoint}
关键点：
{reference_note_keypoint_summary}

下面你将完成以下任务：
首先你需要根据`参考内容`的标题、视频亮点、视频主题内容基于自己的人设要点、创作灵魂，选题模式、选题必要点，创作出一个新的内容选题，每个参考内容应该一次对应匹配每个选题模式进行选题的产出

最后严格按照如下流程，产生选题：
- 围绕你的创作灵魂、创作方向、人设要点、内容品类、选题必要点，结合参考内容，先进行选题是否可以结合参考内容进行选题创作的判断，如找不到找不到结合点，则判断为否，终止创作
- 深刻理解自己的创作灵魂、创作方向、内容品类、选题必要点；
    - 创作灵魂满足其二即可；
    - 内容品类满足其二即可；
    - 选题必要点必须同时全部满足；
    - 人设要点必须满足80%以上信息；
    - 深刻理解自己的选题创作模式：
    - 选题模式是指根据参考内容来进行创作的方式；
    - 选题模式灵感是指该模式下的灵感来源，是该模式下的创作灵感，你可以根据灵感来找到选题的参考点；
    - 选题模式要点是指该模式下的关键点，是该模式下的创作重要要点；
- 根据参考内容结合自己的创作人设，你必须基于创作灵魂和创作人设找到符合创作人设、创作模式的参考点：
    - 参考点需要结合自己的创作需求来实际产生；
    - 请注意你的参考点：参考点应该是具体的、明确的等等，而不是'状态','意境','氛围','趣味性'等指代不明的东西；
    - 参考点一定要结合实际来产生有意义的选题，而不是为了产生选题而产生，如果参考点不够明确或无法满足选题创作的要求，你可以终止创作；
    - 请勿强行、滥用参考点，因为平庸、普通的选题不是你的创作目标；
    - 如果找不到参考点，也比较正常，并不是所有的参考内容都能够与自己的创作相结合；输出原因即可；并终止创作；
- 根据参考内容中的参考点来完成选题创作：
    - 选题要符合自己的创作方向、创作风格；
    - 创作完选题后，务必要对应自己的`创作人设`、`创作模式`，如果不符，你要有自我调整的过程；
    - 选题需要有关键的细节；
    - 选题请避免出现概括性的总结，比如'有趣'应该替换为具体的'什么什么有趣'、'反差'应该替换为具体的'反差意义'；
    - 选题的句式应该为简单句；避免使用复杂句式；
    - 选题的详细描述信息应能够围绕创作灵魂、人设要点等人设信息，明确对选题进行展开描述
  

最后结果输出：
- 请直接输出JSON格式，不要有除了JSON格式之外的其他输出；
- output in JSON format , with keys:
    - `参考的选题模式`(str)
    - `能否产生选题`(enum[是,否])
    - `不能产生选题的原因`(str) 
    - `最终的选题`(str) 
    - `选题的详细描述信息`(str)
        - 禁止出现'氛围'、'和谐'、'视觉呈现','美学','视觉','构图','趣味性'等指代无不明确的用词；
        - 禁止出现总结性的描述，比如'有趣'应该替换为具体的'什么什么有趣'、'反差'应该替换为具体的'反差意义'；
    - `选题的参考来源`(str)
    - `选题依赖的关键信息`(dict)     
"""

    print(prompt)
    ans = chat.gemini(prompt)
    print(ans)
    pass


def create_xuanti_by_note(reference_note, renshe):
    prompt = f"""
你是一名内容灵感创作大师，拥有以下能力：
1. 丰富的内容创作经验，能够根据关键点创作出高质量的内容
2. 擅长基于自己的创作风格、参考内容创作出高质量的内容

你的内容创作灵魂：
{json.dumps(renshe.get("创作灵魂"), ensure_ascii=False, indent=4)} 
你的内容创作方向：
{json.dumps(renshe.get("base_topic"), ensure_ascii=False)} 

你的创作内容品类：
{json.dumps(renshe.get("内容分类"), ensure_ascii=False)} 

你的选题必要点：
{json.dumps(renshe.get("选题必要点"), ensure_ascii=False)} 

下面是你创作中的人设要点：
创作特点如下：
{json.dumps(renshe.get("创作特点"), ensure_ascii=False)} 

选题特点如下：
{json.dumps(renshe.get("选题特点"), ensure_ascii=False)} 

选题禁忌如下：
{json.dumps(renshe.get("选题禁忌"), ensure_ascii=False)} 


你选题的创作模式如下：
{json.dumps(renshe.get("选题模式"), ensure_ascii=False, indent=4)} 


以上就是你所有的`创作人设`！

参考内容如下：
标题：
{reference_note.get("title")}

请结合我给出的参考内容（标题、视频），以及上述的人设信息，帮我完成以下任务：

1. 首先你以自己创作人设的视角仔细阅读参考内容，然后根据自己的创作灵魂、创作方向、内容品类、选题必要点，找到符合创作人设、创作模式的参考点：
2. 基于参考内容中的参考点，结合自人设要点、创作灵魂，选题模式、选题必要点，创作出一个新的内容选题，每个参考内容应该一次对应匹配每个选题模式进行选题的产出
3. 最后严格按照如下流程，产生选题：
    - 围绕你的创作灵魂、创作方向、人设要点、内容品类、选题必要点，结合参考内容，先进行选题是否可以结合参考内容进行选题创作的判断，如找不到找不到结合点，则判断为否，终止创作
    - 深刻理解自己的创作灵魂、创作方向、内容品类、选题必要点；
        - 创作灵魂满足其二即可；
        - 内容品类满足其二即可；
        - 选题必要点必须同时全部满足；
        - 人设要点必须满足80%以上信息；
        - 深刻理解自己的选题创作模式：
        - 选题模式是指根据参考内容来进行创作的方式；
        - 选题模式灵感是指该模式下的灵感来源，是该模式下的创作灵感，你可以根据灵感来找到选题的参考点；
        - 选题模式要点是指该模式下的关键点，是该模式下的创作重要要点；
    - 根据参考内容结合自己的创作人设，你必须基于创作灵魂和创作人设找到符合创作人设、创作模式的参考点：
        - 参考点需要结合自己的创作需求来实际产生；
        - 请注意你的参考点：参考点应该是具体的、明确的等等，而不是'状态','意境','氛围','趣味性'等指代不明的东西；
        - 参考点一定要结合实际来产生有意义的选题，而不是为了产生选题而产生，如果参考点不够明确或无法满足选题创作的要求，你可以终止创作；
        - 请勿强行、滥用参考点，因为平庸、普通的选题不是你的创作目标；
        - 如果找不到参考点，也比较正常，并不是所有的参考内容都能够与自己的创作相结合；输出原因即可；并终止创作；
    - 根据参考内容中的参考点来完成选题创作：
        - 选题要符合自己的创作方向、创作风格；
        - 创作完选题后，务必要对应自己的`创作人设`、`创作模式`，如果不符，你要有自我调整的过程；
        - 选题需要有关键的细节；
        - 选题请避免出现概括性的总结，比如'有趣'应该替换为具体的'什么什么有趣'、'反差'应该替换为具体的'反差意义'；
        - 选题的句式应该为简单句；避免使用复杂句式；
        - 选题的详细描述信息应能够围绕创作灵魂、人设要点等人设信息，明确对选题进行展开描述


最后结果输出：
- 请直接输出JSON格式，不要有除了JSON格式之外的其他输出；
- output in JSON format , with keys:
    - `参考的选题模式`(str)
    - `能否产生选题`(enum[是,否])
    - `不能产生选题的原因`(str) 
    - `最终的选题`(str) 
    - `选题的详细描述信息`(str)
        - 禁止出现'氛围'、'和谐'、'视觉呈现','美学','视觉','构图','趣味性'等指代无不明确的用词；
        - 禁止出现总结性的描述，比如'有趣'应该替换为具体的'什么什么有趣'、'反差'应该替换为具体的'反差意义'；
    - `选题的参考来源`(str)
    - `选题依赖的关键信息`(dict)     
"""

    print(prompt)
    ans = chat.gemini(prompt, images=[reference_note.get("video_url")])
    print(ans)

    return prompt, ans


def estimate_xuanti(created_xuanti, renshe, xuanti_mode):
    prompt = f"""
你是一名资深的内容创作者，你拥有以下能力：
1. 对内容的选题具有极高的判断力。

下面我会给出我的创作方向和我将要创作的一个选题，你需要根据你的专业判断力，帮我判断这个选题是否是一个好选题，我会先给给出你基础账号人设信息，信息如下：
你的内容创作灵魂：
{json.dumps(renshe.get("创作灵魂"), ensure_ascii=False, indent=4)} 
你的内容创作方向：
{json.dumps(renshe.get("base_topic"), ensure_ascii=False)} 

你的选题必要点：
{json.dumps(renshe.get("选题必要点"), ensure_ascii=False)} 

你的选题模式:
{json.dumps(xuanti_mode, ensure_ascii=False, indent=4)}

我创作出一个新的内容选题【创作内容选题】：
{json.dumps(created_xuanti, ensure_ascii=False, indent=4)}


请你从内容创作的角度，根据我给出的以上信息和新的内容选题，完成以下任务：
1. 判断`选题`是否符合以下要求：
     - 选题符合`创作灵魂`；
     - 选题的创作品类：
     - 选题符合`选题模式`；
     - 内容选题是按照`选题创作方式`的方式进行的创作；

2. 判断'选题描述'是否符合以下要求：
    - 结合`选题`和`选题模式要点`，判断选题描述是否符合要求；
    - 选题描述中必须都包含`选题模式要点`
    - 选题描述必须符合都包含了如下：
{json.dumps(renshe.get("选题必要点"), ensure_ascii=False)}

要求如下：
- 请直接输出JSON格式，不要有除了JSON格式之外的其他输出；
- output in JSON format , with keys:
    - `选题符合是否要求`(enum[是、否]) 
    - `选题解释`(str)
    - `选题描述符合是否要求`(enum[是、否])
    - `选题描述解释`(str)
    - `参与创作的选题模式`(str)
"""
    print(prompt)
    ans = chat.claude35(prompt)
    print(ans)

    return prompt, ans


def reference_note_keypoint_20250210(renshe, reference_note_keypoint):
    prompt = f"""
你是一名内容灵感创作大师，拥有以下能力：
1. 丰富的内容创作经验，能够根据关键点创作出高质量的内容
2. 擅长基于自己的创作风格、参考内容创作出高质量的内容

你的内容创作灵魂：
{json.dumps(renshe.get("创作灵魂"), ensure_ascii=False, indent=4)} 
你的内容创作方向：
{json.dumps(renshe.get("base_topic"), ensure_ascii=False)} 

你的创作内容品类：
{json.dumps(renshe.get("内容分类"), ensure_ascii=False)} 

你的选题必要点：
{json.dumps(renshe.get("选题必要点"), ensure_ascii=False)} 

下面是你创作中的人设要点：
创作特点如下：
{json.dumps(renshe.get("创作特点"), ensure_ascii=False)} 

选题特点如下：
{json.dumps(renshe.get("选题特点"), ensure_ascii=False)} 

选题禁忌如下：
{json.dumps(renshe.get("选题禁忌"), ensure_ascii=False)} 


你选题的创作模式如下：
{json.dumps(renshe.get("选题模式"), ensure_ascii=False, indent=4)} 


以上就是你所有的`创作人设`！

下面我会给你一个视频内容的亮点：
{json.dumps(reference_note_keypoint, ensure_ascii=False, indent=4)}


请结合我给出的参考内容（标题、视频），以及上述的人设信息，帮我完成以下任务：

1. 首先你以自己创作人设的视角仔细阅读`视频内容的亮点`，重点关注`内容亮点的角度`和`亮点`，因为我需要你基于这些内容来创作一个结合自己人设的内容;
2. 基于`视频内容的亮点`，结合自人设要点、创作灵魂，选题模式、选题必要点，创作出一个新的内容选题，每个参考内容应该一次对应匹配每个选题模式进行选题的产出;
3. 最后严格按照如下流程，产生选题：
    - 你参考亮点并不是使用亮点中的单个词汇，而是理解亮点的整体；比如用亮点是音频相关的，但是你的人设是视觉相关的，则这个亮点并不适合你；
    - 深刻理解亮点的`驱动力`是否能和自己的人设结合；
    - 围绕你的创作灵魂、创作方向、人设要点、内容品类、选题必要点，结合`视频内容的亮点`，先进行选题是否可以结合参考内容进行选题创作的判断，如找不到找不到结合点，则判断为否，终止创作
    - 深刻理解自己的创作灵魂、创作方向、内容品类、选题必要点；
        - 创作灵魂满足其二即可；
        - 内容品类满足其二即可；
        - 选题必要点必须同时全部满足；
        - 人设要点必须满足80%以上信息；
        - 深刻理解自己的选题创作模式：
        - 选题模式是指根据参考内容来进行创作的方式；
        - 选题模式灵感是指该模式下的灵感来源，是该模式下的创作灵感，你可以根据灵感来找到选题的参考点；
        - 选题模式要点是指该模式下的关键点，是该模式下的创作重要要点；
    - 根据参考内容结合自己的创作人设，你必须基于创作灵魂和创作人设找到符合创作人设、创作模式的参考点：
        - 参考点需要结合自己的创作需求来实际产生；
        - 请注意你的参考点：参考点应该是具体的、明确的等等，而不是'状态','意境','氛围','趣味性'等指代不明的东西；
        - 参考点一定要结合实际来产生有意义的选题，而不是为了产生选题而产生，如果参考点不够明确或无法满足选题创作的要求，你可以终止创作；
        - 请勿强行、滥用参考点，因为平庸、普通的选题不是你的创作目标；
        - 如果找不到参考点，也比较正常，并不是所有的参考内容都能够与自己的创作相结合；输出原因即可；并终止创作；
    - 根据参考内容中的参考点来完成选题创作：
        - 选题要符合自己的创作方向、创作风格；
        - 创作完选题后，务必要对应自己的`创作人设`、`创作模式`，如果不符，你要有自我调整的过程；
        - 选题需要有关键的细节；
        - 选题请避免出现概括性的总结，比如'有趣'应该替换为具体的'什么什么有趣'、'反差'应该替换为具体的'反差意义'；
        - 选题的句式应该为简单句；避免使用复杂句式；
        - 选题的详细描述信息应能够围绕创作灵魂、人设要点等人设信息，明确对选题进行展开描述


最后结果输出：
- 请直接输出JSON格式，不要有除了JSON格式之外的其他输出；
- output in JSON format , with keys:
    - `参考的选题模式`(str)
    - `能否产生选题`(enum[是,否])
    - `不能产生选题的原因`(str) 
    - `最终的选题`(str) 
    - `选题的详细描述信息`(str)
        - 禁止出现'氛围'、'和谐'、'视觉呈现','美学','视觉','构图','趣味性'等指代无不明确的用词；
        - 禁止出现总结性的描述，比如'有趣'应该替换为具体的'什么什么有趣'、'反差'应该替换为具体的'反差意义'；
    - `选题的参考来源`(str)
    - `选题依赖的关键信息`(dict)     
    """

    print(prompt)
    ans = chat.gemini(prompt)
    print(ans)

    return prompt, ans


def reference_note_keypoint_20250210_deepseek_r3(renshe, reference_note_keypoint):
    prompt = f"""
你是一名内容灵感创作大师，拥有以下能力：
1. 丰富的内容创作经验，能够根据关键点创作出高质量的内容
2. 擅长基于自己的创作风格、参考内容创作出高质量的内容


#  你的整体创作人设如下
{json.dumps(renshe, ensure_ascii=False, indent=4)}

以上就是你所有的`创作人设`！


# 下面我会给你一个视频内容的亮点：
{json.dumps(reference_note_keypoint, ensure_ascii=False, indent=4)}


# 请结合我给出的参考内容，以及上述的人设信息，帮我完成以下任务：


1. 首先你以自己创作人设的视角仔细阅读`视频内容的亮点`，重点关注`内容亮点的角度`和`亮点组成`，因为我需要你基于这些内容来创作一个结合自己人设的内容;
2. 基于`视频内容的亮点`，结合自人设要点、创作灵魂，选题模式、选题必要点，创作出一个新的内容选题，每个参考内容应该依次对应匹配每个选题模式进行选题的产出;
3. 最后严格按照如下流程，产生选题：
    - 你参考亮点并不是使用亮点中的单个词汇，而是理解亮点的整体关键部分；比如用亮点是音频相关的，但是你的人设是视觉相关的，则这个亮点并不适合你；比如亮点是反差，你并不能仅用反差两个字进行大量的联想，而是要寻找你的人设中可以直接和参考内容结合的亮点
    - 深刻理解亮点的`驱动力`是否能和自己的人设结合；
    - 围绕你的创作灵魂、创作方向、人设要点、内容品类、选题必要点，结合`视频内容的亮点`，先进行选题是否可以在符合人设的情况下结合参考内容进行选题创作的判断，如找不到找不到结合点，则判断为否，终止创作
    - 深刻理解自己的创作灵魂、创作方向、内容品类、选题必要点；
        - 创作灵魂满足其二即可；
        - 内容品类满足其二即可；
        - 选题必要点必须同时全部满足；
        - 人设要点必须满足80%以上信息；
        - 深刻理解自己的选题模式，但选题模式下的历史优质选题仅用于你的参考
        -参考内容应该依次对应匹配每个选题模式进行选题的产出
        - 选题模式是指根据参考内容来进行创作的方式
        - 选题模式灵感是指该模式下的灵感来源，是该模式下的创作灵感，你可以根据灵感来找到选题的参考点；
        - 选题模式要点是指该模式下的关键点，是该模式下的创作重要要点；
       - 你的参考点寻找必须基于创作灵魂和创作人设从参考内容中找到符合创作人设、创作模式的参考点：
        - 参考点需要结合自己的创作人设和实际创作需求来实际产生；
        - 请注意你的参考点：参考点应该是具体的、明确的等等，而不是'状态','意境','氛围','趣味性'等指代不明的东西；
        - 参考点一定要结合任何来产生有意义的选题，而不是为了产生选题而产生，如果参考点不够明确或无法直接与创作人设相集合产生选题，无法满足选题创作的要求，你可以终止创作；
        - 请勿强行、滥用，过度联想参考点，因为平庸、普通的选题不是你的创作目标；
        -选题的创作关键是基于你的创作人设，结合参考内容的关键点产生选题，选题的产生应该是有逻辑的，不要有过度联想，不要过度抽象
        - 如果找不到参考点，也比较正常，并不是所有的参考内容都能够与自己的创作相结合；输出原因即可；并终止创作；
        - 选题要符合自己的创作方向、创作风格；
        - 创作完选题后，务必要对应自己的`创作人设`、`创作模式`，如果不符，你要有自我调整的过程；
        - 选题需要有关键的细节；
        - 选题请避免出现概括性的总结，比如'有趣'应该替换为具体的'什么什么有趣'、'反差'应该替换为具体的'反差意义'；
        - 选题的句式应该为简单句；避免使用复杂句式；
        - 选题的详细描述信息应能够围绕创作灵魂、人设要点等人设信息，明确对选题进行展开描述


最后多个选题解决请依次按照以下格式输出：
- output in JSON format , with keys:
    - `参考的选题模式`(str)
    - `能否产生选题`(enum[是,否])
    - `不能产生选题的原因`(str) 
    - `最终的选题`(str) 
    - `选题的详细描述信息`(str)
        - 禁止出现'氛围'、'和谐'、'视觉呈现','美学','视觉','构图','趣味性'等指代无不明确的用词；
        - 禁止出现总结性的描述，比如'有趣'应该替换为具体的'什么什么有趣'、'反差'应该替换为具体的'反差意义'；
    - `选题的参考来源`(str)
    - `选题依赖的关键信息`(dict)
    """

    print(prompt)
    reason, ans = dsr3.deepseek_r3_stream(prompt)

    return reason, ans
